Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Public Attributes | List of all members
wowf.forms.user.UserForm Class Reference
Inheritance diagram for wowf.forms.user.UserForm:
Collaboration diagram for wowf.forms.user.UserForm:

## Public Member Functions
def | validate_dob
Public Member Functions inherited from wowf.forms.Form
def | __init__

## Static Public Attributes
tuple | username
tuple | email
tuple | gender
tuple | dob
tuple | weight
tuple | height

## Additional Inherited Members
Public Attributes inherited from wowf.forms.Form
| state

## Detailed Description

Definition at line 30 of file user.py.

## Member Function Documentation

def wowf.forms.user.UserForm.validate_dob | ( |  | self,
|  |  | field
| ) |  |

Definition at line 53 of file user.py.

## Member Data Documentation

tuple wowf.forms.user.UserForm.dob
| static

Initial value:
DateField('Date of Birth', [
validators.Required('Date of Birth cannot be blank')],
format='%m/%d/%y', description='mm/dd/yy')

Definition at line 43 of file user.py.

tuple wowf.forms.user.UserForm.email
| static

Initial value:
EmailField('Email', [
validators.Required(message='Email cannot be blank'),
validators.Email(message='Valid email address is required'),
Unique(User, User.email, message='Email is already in use')])

Definition at line 36 of file user.py.

tuple wowf.forms.user.UserForm.gender
| static

Initial value:
SelectField('Gender', [
validators.Required(message='Must select a gender')],
choices=get_genders())

Definition at line 40 of file user.py.

tuple wowf.forms.user.UserForm.height
| static

Initial value:
DecimalField('Height (m)', [
validators.Required(message='Height must be a positive number'),
validators.NumberRange(min=0, message='Height must be at least %(min)d meters')])

Definition at line 49 of file user.py.

tuple wowf.forms.user.UserForm.username
| static

Initial value:
TextField('Username', [
validators.Required(message='Username cannot be blank'),
validators.Length(min=5, max=10, message='Limit username to between %(min)d and %(max)d characters'),
Unique(User, User.username, message='Username is already in use')])

Definition at line 32 of file user.py.

tuple wowf.forms.user.UserForm.weight
| static

Initial value:
DecimalField('Weight (kg)', [
validators.Required(message='Weight must be a positive number'),
validators.NumberRange(min=0, message='Weight must be at least %(min)d kilograms')])

Definition at line 46 of file user.py.

The documentation for this class was generated from the following file:

- wowf/forms/user.py